<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: monitor_defs::monitor_ Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacemonitor__defs.html">monitor_defs</a></li><li class="navelem"><a class="el" href="structmonitor__defs_1_1monitor__.html">monitor_</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmonitor__defs_1_1monitor__-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">monitor_defs::monitor_ Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for monitor_defs::monitor_:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structmonitor__defs_1_1monitor____coll__graph.png" border="0" usemap="#monitor__defs_1_1monitor___coll__map" alt="Collaboration graph"/></div>
<map name="monitor__defs_1_1monitor___coll__map" id="monitor__defs_1_1monitor___coll__map">
<area shape="rect" id="node2" href="structmonitor__defs_1_1mon__var__.html" title="{monitor_defs::mon_var_\n|+ name\l+ sd_name\l+ type\l+ state\l+ rp\l+ ip\l|}" alt="" coords="5,5,168,156"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a309961c485de983883a41a462ff400bf"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmonitor__defs_1_1monitor__.html#a309961c485de983883a41a462ff400bf">name</a></td></tr>
<tr class="separator:a309961c485de983883a41a462ff400bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf90f95b4e956f2d6af86d22de58a8d9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structmonitor__defs_1_1monitor__.html#a7e184b2e4d62ceb79c524e5b561aa245">type</a>(<a class="el" href="structmonitor__defs_1_1mon__var__.html">mon_var_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmonitor__defs_1_1monitor__.html#adf90f95b4e956f2d6af86d22de58a8d9">first_var</a></td></tr>
<tr class="separator:adf90f95b4e956f2d6af86d22de58a8d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f65bbd0928a8bc1b19f1b2f0511049d"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmonitor__defs_1_1monitor__.html#a1f65bbd0928a8bc1b19f1b2f0511049d">interval</a></td></tr>
<tr class="separator:a1f65bbd0928a8bc1b19f1b2f0511049d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e184b2e4d62ceb79c524e5b561aa245"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmonitor__defs_1_1monitor__.html#a7e184b2e4d62ceb79c524e5b561aa245">type</a></td></tr>
<tr class="separator:a7e184b2e4d62ceb79c524e5b561aa245"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad996d2d7bdeba4023c12ec131486db51"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmonitor__defs_1_1monitor__.html#ad996d2d7bdeba4023c12ec131486db51">state</a></td></tr>
<tr class="separator:ad996d2d7bdeba4023c12ec131486db51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3d17d0b4034387a060fc4c78bcdebfc"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmonitor__defs_1_1monitor__.html#ab3d17d0b4034387a060fc4c78bcdebfc">direction</a></td></tr>
<tr class="separator:ab3d17d0b4034387a060fc4c78bcdebfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad46aa796cff44e93dc59d42896b375c3"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmonitor__defs_1_1monitor__.html#ad46aa796cff44e93dc59d42896b375c3">fh</a></td></tr>
<tr class="separator:ad46aa796cff44e93dc59d42896b375c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2aefe580cd8dc8a00966ffd3b4c7e87"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmonitor__defs_1_1monitor__.html#ae2aefe580cd8dc8a00966ffd3b4c7e87">enabled</a></td></tr>
<tr class="separator:ae2aefe580cd8dc8a00966ffd3b4c7e87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63cff2ed5b7d67fa631db8474041982b"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmonitor__defs_1_1monitor__.html#a63cff2ed5b7d67fa631db8474041982b">user_enabled</a></td></tr>
<tr class="separator:a63cff2ed5b7d67fa631db8474041982b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4995d24268038a2ee18e0542aed97990"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structmonitor__defs_1_1monitor__.html#a7e184b2e4d62ceb79c524e5b561aa245">type</a>(<a class="el" href="structmonitor__defs_1_1monitor__.html">monitor_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmonitor__defs_1_1monitor__.html#a4995d24268038a2ee18e0542aed97990">next</a></td></tr>
<tr class="separator:a4995d24268038a2ee18e0542aed97990"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ab3d17d0b4034387a060fc4c78bcdebfc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3d17d0b4034387a060fc4c78bcdebfc">&#9670;&nbsp;</a></span>direction</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer monitor_defs::monitor_::direction</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae2aefe580cd8dc8a00966ffd3b4c7e87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2aefe580cd8dc8a00966ffd3b4c7e87">&#9670;&nbsp;</a></span>enabled</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical monitor_defs::monitor_::enabled</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad46aa796cff44e93dc59d42896b375c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad46aa796cff44e93dc59d42896b375c3">&#9670;&nbsp;</a></span>fh</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer monitor_defs::monitor_::fh</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adf90f95b4e956f2d6af86d22de58a8d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf90f95b4e956f2d6af86d22de58a8d9">&#9670;&nbsp;</a></span>first_var</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structmonitor__defs_1_1monitor__.html#a7e184b2e4d62ceb79c524e5b561aa245">type</a>(<a class="el" href="structmonitor__defs_1_1mon__var__.html">mon_var_</a>), pointer monitor_defs::monitor_::first_var</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1f65bbd0928a8bc1b19f1b2f0511049d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f65bbd0928a8bc1b19f1b2f0511049d">&#9670;&nbsp;</a></span>interval</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer monitor_defs::monitor_::interval</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a309961c485de983883a41a462ff400bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a309961c485de983883a41a462ff400bf">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len = str_medium) monitor_defs::monitor_::name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4995d24268038a2ee18e0542aed97990"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4995d24268038a2ee18e0542aed97990">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structmonitor__defs_1_1monitor__.html#a7e184b2e4d62ceb79c524e5b561aa245">type</a>(<a class="el" href="structmonitor__defs_1_1monitor__.html">monitor_</a>), pointer monitor_defs::monitor_::next</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad996d2d7bdeba4023c12ec131486db51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad996d2d7bdeba4023c12ec131486db51">&#9670;&nbsp;</a></span>state</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer monitor_defs::monitor_::state</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7e184b2e4d62ceb79c524e5b561aa245"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e184b2e4d62ceb79c524e5b561aa245">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer monitor_defs::monitor_::type</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a63cff2ed5b7d67fa631db8474041982b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63cff2ed5b7d67fa631db8474041982b">&#9670;&nbsp;</a></span>user_enabled</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical monitor_defs::monitor_::user_enabled</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="monitor__defs_8f90.html">monitor_defs.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
